import { Article } from './articleEntity';
interface ArticleStore {
  // State
  articles: Array<Article>;
  currentArticle: Article | null;
  isLoading: boolean;
  hasError: boolean;

  // Actions
  setArticle(article: Article): void;
  getArticle(identifier: string): Article | null;
}

export type { ArticleStore };
